DevStudioProjectWriter (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.devstudio.DevStudioProjectWriter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.devstudio
Class DevStudioProjectWriter

    java.lang.Object
      net.sf.antcontrib.cpptasks.devstudio.DevStudioProjectWriter

All Implemented Interfaces:
  ProjectWriter

    public final class DevStudioProjectWriter

extends java.lang.Object
implements ProjectWriter

Writes a Microsoft Visual Studio 97 or Visual Studio 6 project file. Status: Collects file list but does not pick up libraries and settings from project.

Author:
  curta

Constructor Summary
`DevStudioProjectWriter(java.lang.String versionArg)` Constructor.

Method Summary
`void` | `writeProject(java.io.File fileName, CCTask task, ProjectDef projectDef, java.util.List files, java.util.Hashtable targets, TargetInfo linkTarget)` Writes a project definition file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DevStudioProjectWriter

    public DevStudioProjectWriter(java.lang.String versionArg)

  Constructor.

  Parameters:
    `versionArg` - String Visual Studio version.

Method Detail

### writeProject

    public void writeProject(java.io.File fileName,
                             CCTask task,
                             ProjectDef projectDef,
                             java.util.List files,
                             java.util.Hashtable targets,
                             TargetInfo linkTarget)
                      throws java.io.IOException

  Writes a project definition file.

  Specified by:
    `writeProject` in interface `ProjectWriter`
  Parameters:
    `fileName` - File name base, writer may append appropriate extension
    `task` - cc task for which to write project
    `projectDef` - project element
    `files` - source files
    `targets` - compilation targets
    `linkTarget` - link target
  Throws:
    `java.io.IOException` - if error writing project file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.